Subject: 24.5; rename directory in dired to change case

From: Tino Calancha <[email-masked]>
Date: Thu, 15 Sep 2016 18:05:46 +0900 (JST)

Thanks for your report.

On Thu, 14 Sep 2016, Brady Trainor wrote:
>If I have a directory `a', and try to rename it `A' in dired, it errors.
>`(file-error Renaming Invalid argument /tmp/a /tmp/A/a)'.

How did you try to rename it? What exact commands did you input?

In Dired i would do this operation using `R' or `wdired' as follows:
I)
emacs -Q -r
M-: (dired temporary-file-directory) RET
+ a RET
R A RET

II)
emacs -Q -r
M-: (dired temporary-file-directory) RET
+ b RET
C-x C-q M-u C-c C-c

I have tried both in emacs-24.5.1 and they works as expected.
Could you check if I), II) work for you?

Tino